# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	Xorg input driver for mice in VMware
Name:		x11-driver-input-vmmouse
Version:	13.1.0
Release:	1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.bz2
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(udev)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
ExclusiveArch:	%{ix86} x86_64

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

Installing the driver will improve the user experience when using the
mouse to interact with the guest operating system. In particular, use of
the driver improves mouse "lag", provides mouse speed and acceleration
consistent with the user's host operating system, and enables the
auto-grab/ungrab feature in VMware products without requiring the VMware
toolbox application.

%files
%{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%{_libdir}/hal/hal-probe-vmmouse
%{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_bindir}/vmmouse_detect
%{_mandir}/man1/vmmouse_detect.*
%{_mandir}/man4/vmmouse.*
/lib/udev/rules.d/69-xorg-vmmouse.rules
%{_datadir}/X11/xorg.conf.d/50-vmmouse.conf

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-vmmouse-%{version}

%build
autoreconf -fvi
%configure2_5x \
	--disable-static \
	--disable-silent-rules \
	--with-xorg-conf-dir=%{_datadir}/X11/xorg.conf.d \
	--with-udev-rules-dir=/lib/udev/rules.d
%make

%install
%makeinstall_std


%changelog

* Wed Mar 23 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 13.1.0-1
- (c5abf0d) Configure the build correctly (set appropriate paths, etc.)


